﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace PoE_MxFilterGen.generator
{
  internal class accessory
  {
    private static string iB;

    public static void Gen(string section, int uniquev)
    {
      List<string> stringList = new List<string>();
      foreach (Line line in JsonConvert.DeserializeObject<Root>(File.ReadAllText("data/ninja.accessory.json", Encoding.UTF8)).lines)
      {
        double? chaosValue = line.chaosValue;
        double num = (double) uniquev;
        if (chaosValue.GetValueOrDefault() >= num & chaosValue.HasValue && !stringList.Contains(line.baseType))
        {
          stringList.Add(line.baseType);
          accessory.iB += string.Format(" \"{0}\"", (object) line.baseType);
        }
      }
      if (accessory.iB == null)
        accessory.iB = "\"\"";
      string path = "gen/" + section + ".filter";
      File.AppendAllText(path, string.Format("# Section: {0}", (object) section) + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, Environment.NewLine ?? "", Encoding.UTF8);
      File.AppendAllText(path, "Show" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    BaseType" + accessory.iB + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    Rarity = Unique" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    SetTextColor 222 95 0" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    SetBackgroundColor 255 255 255" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    SetBorderColor 180 96 0" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    SetFontSize 45" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    CustomAlertSound \"mx_chase.mp3\"" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    MinimapIcon 0 White Star" + Environment.NewLine, Encoding.UTF8);
      File.AppendAllText(path, "    PlayEffect White", Encoding.UTF8);
    }
  }
}
